Index: uspace/srv/bd/vbd/disk.c
===================================================================
--- uspace/srv/bd/vbd/disk.c	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/bd/vbd/disk.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2023 Jiri Svoboda
+ * Copyright (c) 2024 Jiri Svoboda
  * All rights reserved.
  *
@@ -499,5 +499,5 @@
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "block_init(%zu)", sid);
-	rc = block_init(sid, 2048);
+	rc = block_init(sid);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed opening block device %s.",
Index: uspace/srv/fs/cdfs/cdfs_ops.c
===================================================================
--- uspace/srv/fs/cdfs/cdfs_ops.c	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/fs/cdfs/cdfs_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2024 Jiri Svoboda
  * Copyright (c) 2011 Martin Decky
  * All rights reserved.
@@ -1093,5 +1094,5 @@
 
 	/* Initialize the block layer */
-	errno_t rc = block_init(service_id, BLOCK_SIZE);
+	errno_t rc = block_init(service_id);
 	if (rc != EOK)
 		return rc;
@@ -1150,5 +1151,5 @@
 {
 	/* Initialize the block layer */
-	errno_t rc = block_init(service_id, BLOCK_SIZE);
+	errno_t rc = block_init(service_id);
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/fs/exfat/exfat_ops.c
===================================================================
--- uspace/srv/fs/exfat/exfat_ops.c	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/fs/exfat/exfat_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2024 Jiri Svoboda
  * Copyright (c) 2008 Jakub Jermar
  * Copyright (c) 2011 Oleg Romanenko
@@ -1020,5 +1021,5 @@
 
 	/* initialize libblock */
-	rc = block_init(service_id, BS_SIZE);
+	rc = block_init(service_id);
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/fs/fat/fat_ops.c
===================================================================
--- uspace/srv/fs/fat/fat_ops.c	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/fs/fat/fat_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2024 Jiri Svoboda
  * Copyright (c) 2008 Jakub Jermar
  * Copyright (c) 2011 Oleg Romanenko
@@ -916,5 +917,5 @@
 
 	/* initialize libblock */
-	rc = block_init(service_id, BS_SIZE);
+	rc = block_init(service_id);
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/fs/mfs/mfs_ops.c
===================================================================
--- uspace/srv/fs/mfs/mfs_ops.c	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/fs/mfs/mfs_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2024 Jiri Svoboda
  * Copyright (c) 2011 Maurizio Lombardi
  * All rights reserved.
@@ -283,5 +284,5 @@
 
 	/* Initialize libblock */
-	rc = block_init(service_id, 4096);
+	rc = block_init(service_id);
 	if (rc != EOK)
 		return rc;
@@ -310,5 +311,5 @@
 
 	/* Initialize libblock */
-	rc = block_init(service_id, 4096);
+	rc = block_init(service_id);
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/fs/udf/udf.h
===================================================================
--- uspace/srv/fs/udf/udf.h	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/fs/udf/udf.h	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2024 Jiri Svoboda
  * Copyright (c) 2008 Jakub Jermar
  * Copyright (c) 2012 Julia Medvedeva
@@ -51,6 +52,4 @@
 
 #define BS_BLOCK     0
-#define MIN_SIZE     512
-#define MAX_SIZE     8192
 #define DEFAULT_VOL  0
 
Index: uspace/srv/fs/udf/udf_ops.c
===================================================================
--- uspace/srv/fs/udf/udf_ops.c	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/fs/udf/udf_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2024 Jiri Svoboda
  * Copyright (c) 2008 Jakub Jermar
  * Copyright (c) 2012 Julia Medvedeva
@@ -323,5 +324,5 @@
 
 	/* initialize block cache */
-	errno_t rc = block_init(service_id, MAX_SIZE);
+	errno_t rc = block_init(service_id);
 	if (rc != EOK) {
 		free(instance);
Index: uspace/srv/volsrv/empty.c
===================================================================
--- uspace/srv/volsrv/empty.c	(revision bdf06ad0e1ef4d9fbaef8b55192ac6aa52fac64a)
+++ uspace/srv/volsrv/empty.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2015 Jiri Svoboda
+ * Copyright (c) 2024 Jiri Svoboda
  * All rights reserved.
  *
@@ -62,5 +62,5 @@
 	label_bd_t lbd;
 
-	rc = block_init(sid, 2048);
+	rc = block_init(sid);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Error opening "
@@ -83,5 +83,5 @@
 	label_bd_t lbd;
 
-	rc = block_init(sid, 2048);
+	rc = block_init(sid);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Error opening "
